Package com.google.protobuf

# Interface DescriptorProtos.FileDescriptorSetOrBuilder

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FileDescriptorSet>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FileDescriptorSet`, `DescriptorProtos.FileDescriptorSet.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.FileDescriptorSetOrBuilder extends GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FileDescriptorSet>

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FileDescriptorProto`
`getFile(int index)`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`int`
`getFileCount()`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`List<DescriptorProtos.FileDescriptorProto>`
`getFileList()`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
`getFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
`getFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getFileList

List<DescriptorProtos.FileDescriptorProto> getFileList()
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`

### getFile

DescriptorProtos.FileDescriptorProto getFile(int index)
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`

### getFileCount

int getFileCount()
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`

### getFileOrBuilderList

List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder> getFileOrBuilderList()
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`

### getFileOrBuilder

DescriptorProtos.FileDescriptorProtoOrBuilder getFileOrBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`